aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/presentation/run_report.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2018-03-29 10:48:42 +0200
committerTibor Frank <tifrank@cisco.com>2018-03-29 08:51:50 +0000
commitc3bea67791a2512c2c8262f7bbfdc303d2b1edbc (patch)
treea16ce601674e18e7e5fdf2b5db01ee3930716f73 /resources/tools/presentation/run_report.sh
parent9cdc4269a77ad90f1726c47b139d1dba9c20fdda (diff)
PAL Trending
Change-Id: I6dae970203415dcb6d90217656d4f052350e52df Signed-off-by: Tibor Frank <tifrank@cisco.com> (cherry picked from commit c2b4ace3d023b2b58319feaeb942014586fcac11)
Diffstat (limited to 'resources/tools/presentation/run_report.sh')
-rwxr-xr-xresources/tools/presentation/run_report.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/resources/tools/presentation/run_report.sh b/resources/tools/presentation/run_report.sh
index 34d6c5d7be..d294640fd1 100755
--- a/resources/tools/presentation/run_report.sh
+++ b/resources/tools/presentation/run_report.sh
@@ -23,10 +23,6 @@ then
sudo sed -i.bak 's/^\(main_memory\s=\s\).*/\110000000/' /usr/share/texlive/texmf-dist/web2c/texmf.cnf
fi
-# Clean-up when finished
-trap 'rm -rf ${DIR[WORKING]}; exit' EXIT
-trap 'rm -rf ${DIR[WORKING]}; exit' ERR
-
# Create working directories
mkdir ${DIR[WORKING]}
@@ -44,3 +40,6 @@ python pal.py \
--release ${RELEASE} \
--logging INFO \
--force
+
+RETURN_STATUS=$(echo $?)
+exit ${RETURN_STATUS}